"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SynthHolder_OrderBy = exports.SynthExchange_OrderBy = exports.Short_OrderBy = exports.ShortLoanChange_OrderBy = exports.ShortLiquidation_OrderBy = exports.ShortContract_OrderBy = exports.ShortContractUpdate_OrderBy = exports.ShortCollateralChange_OrderBy = exports.SnxHolder_OrderBy = exports.RewardEscrowHolder_OrderBy = exports.RateUpdate_OrderBy = exports.PostArchernarTotal_OrderBy = exports.PostArchernarExchanger_OrderBy = exports.OrderDirection = exports.Loan_OrderBy = exports.LoanRepaid_OrderBy = exports.LoanPartiallyLiquidated_OrderBy = exports.LoanLiquidated_OrderBy = exports.LatestRate_OrderBy = exports.Issuer_OrderBy = exports.Issued_OrderBy = exports.InversePricingInfo_OrderBy = exports.FifteenMinuteTotal_OrderBy = exports.FifteenMinuteSnxPrice_OrderBy = exports.FifteenMinuteExchanger_OrderBy = exports.FeesClaimed_OrderBy = exports.Exchanger_OrderBy = exports.Exchange_OrderBy = exports.ExchangeReclaim_OrderBy = exports.ExchangeRebate_OrderBy = exports.ExchangePartner_OrderBy = exports.ExchangeFee_OrderBy = exports.ExchangeEntrySettled_OrderBy = exports.ExchangeEntryAppended_OrderBy = exports.DebtSnapshot_OrderBy = exports.DailyTotal_OrderBy = exports.DailySnxPrice_OrderBy = exports.DailyIssued_OrderBy = exports.DailyExchanger_OrderBy = exports.DailyExchangePartner_OrderBy = exports.DailyCandle_OrderBy = exports.DailyBurned_OrderBy = exports.CollateralWithdrawn_OrderBy = exports.CollateralDeposited_OrderBy = exports.ClearedDeposit_OrderBy = exports.Burned_OrderBy = exports.ActiveStaker_OrderBy = exports.AccountRemovedFromLiquidation_OrderBy = exports.AccountLiquidated_OrderBy = exports.AccountFlaggedForLiquidation_OrderBy = void 0;
exports._SubgraphErrorPolicy_ = exports.UserAction_OrderBy = exports.Total_OrderBy = exports.TotalDailyActiveStaker_OrderBy = exports.TotalActiveStaker_OrderBy = exports.TemporaryExchangePartnerTracker_OrderBy = exports.Synthetix_OrderBy = void 0;
var AccountFlaggedForLiquidation_OrderBy;
(function (AccountFlaggedForLiquidation_OrderBy) {
    AccountFlaggedForLiquidation_OrderBy["Id"] = "id";
    AccountFlaggedForLiquidation_OrderBy["Account"] = "account";
    AccountFlaggedForLiquidation_OrderBy["Deadline"] = "deadline";
    AccountFlaggedForLiquidation_OrderBy["CollateralRatio"] = "collateralRatio";
    AccountFlaggedForLiquidation_OrderBy["LiquidatableNonEscrowSnx"] = "liquidatableNonEscrowSNX";
    AccountFlaggedForLiquidation_OrderBy["Collateral"] = "collateral";
})(AccountFlaggedForLiquidation_OrderBy = exports.AccountFlaggedForLiquidation_OrderBy || (exports.AccountFlaggedForLiquidation_OrderBy = {}));
var AccountLiquidated_OrderBy;
(function (AccountLiquidated_OrderBy) {
    AccountLiquidated_OrderBy["Id"] = "id";
    AccountLiquidated_OrderBy["Account"] = "account";
    AccountLiquidated_OrderBy["SnxRedeemed"] = "snxRedeemed";
    AccountLiquidated_OrderBy["AmountLiquidated"] = "amountLiquidated";
    AccountLiquidated_OrderBy["Liquidator"] = "liquidator";
    AccountLiquidated_OrderBy["Time"] = "time";
})(AccountLiquidated_OrderBy = exports.AccountLiquidated_OrderBy || (exports.AccountLiquidated_OrderBy = {}));
var AccountRemovedFromLiquidation_OrderBy;
(function (AccountRemovedFromLiquidation_OrderBy) {
    AccountRemovedFromLiquidation_OrderBy["Id"] = "id";
    AccountRemovedFromLiquidation_OrderBy["Account"] = "account";
    AccountRemovedFromLiquidation_OrderBy["Time"] = "time";
})(AccountRemovedFromLiquidation_OrderBy = exports.AccountRemovedFromLiquidation_OrderBy || (exports.AccountRemovedFromLiquidation_OrderBy = {}));
var ActiveStaker_OrderBy;
(function (ActiveStaker_OrderBy) {
    ActiveStaker_OrderBy["Id"] = "id";
})(ActiveStaker_OrderBy = exports.ActiveStaker_OrderBy || (exports.ActiveStaker_OrderBy = {}));
var Burned_OrderBy;
(function (Burned_OrderBy) {
    Burned_OrderBy["Id"] = "id";
    Burned_OrderBy["Account"] = "account";
    Burned_OrderBy["Value"] = "value";
    Burned_OrderBy["Source"] = "source";
    Burned_OrderBy["Timestamp"] = "timestamp";
    Burned_OrderBy["GasPrice"] = "gasPrice";
    Burned_OrderBy["Block"] = "block";
})(Burned_OrderBy = exports.Burned_OrderBy || (exports.Burned_OrderBy = {}));
var ClearedDeposit_OrderBy;
(function (ClearedDeposit_OrderBy) {
    ClearedDeposit_OrderBy["Id"] = "id";
    ClearedDeposit_OrderBy["FromAddress"] = "fromAddress";
    ClearedDeposit_OrderBy["ToAddress"] = "toAddress";
    ClearedDeposit_OrderBy["FromEthAmount"] = "fromETHAmount";
    ClearedDeposit_OrderBy["ToAmount"] = "toAmount";
    ClearedDeposit_OrderBy["DepositIndex"] = "depositIndex";
    ClearedDeposit_OrderBy["Block"] = "block";
    ClearedDeposit_OrderBy["Timestamp"] = "timestamp";
    ClearedDeposit_OrderBy["Network"] = "network";
})(ClearedDeposit_OrderBy = exports.ClearedDeposit_OrderBy || (exports.ClearedDeposit_OrderBy = {}));
var CollateralDeposited_OrderBy;
(function (CollateralDeposited_OrderBy) {
    CollateralDeposited_OrderBy["Id"] = "id";
    CollateralDeposited_OrderBy["CollateralAmount"] = "collateralAmount";
    CollateralDeposited_OrderBy["CollateralAfter"] = "collateralAfter";
    CollateralDeposited_OrderBy["Account"] = "account";
    CollateralDeposited_OrderBy["LoanId"] = "loanId";
    CollateralDeposited_OrderBy["Timestamp"] = "timestamp";
})(CollateralDeposited_OrderBy = exports.CollateralDeposited_OrderBy || (exports.CollateralDeposited_OrderBy = {}));
var CollateralWithdrawn_OrderBy;
(function (CollateralWithdrawn_OrderBy) {
    CollateralWithdrawn_OrderBy["Id"] = "id";
    CollateralWithdrawn_OrderBy["AmountWithdrawn"] = "amountWithdrawn";
    CollateralWithdrawn_OrderBy["CollateralAfter"] = "collateralAfter";
    CollateralWithdrawn_OrderBy["Account"] = "account";
    CollateralWithdrawn_OrderBy["LoanId"] = "loanId";
    CollateralWithdrawn_OrderBy["Timestamp"] = "timestamp";
})(CollateralWithdrawn_OrderBy = exports.CollateralWithdrawn_OrderBy || (exports.CollateralWithdrawn_OrderBy = {}));
var DailyBurned_OrderBy;
(function (DailyBurned_OrderBy) {
    DailyBurned_OrderBy["Id"] = "id";
    DailyBurned_OrderBy["Value"] = "value";
    DailyBurned_OrderBy["TotalDebt"] = "totalDebt";
})(DailyBurned_OrderBy = exports.DailyBurned_OrderBy || (exports.DailyBurned_OrderBy = {}));
var DailyCandle_OrderBy;
(function (DailyCandle_OrderBy) {
    DailyCandle_OrderBy["Id"] = "id";
    DailyCandle_OrderBy["Synth"] = "synth";
    DailyCandle_OrderBy["Open"] = "open";
    DailyCandle_OrderBy["High"] = "high";
    DailyCandle_OrderBy["Low"] = "low";
    DailyCandle_OrderBy["Close"] = "close";
    DailyCandle_OrderBy["Timestamp"] = "timestamp";
})(DailyCandle_OrderBy = exports.DailyCandle_OrderBy || (exports.DailyCandle_OrderBy = {}));
var DailyExchangePartner_OrderBy;
(function (DailyExchangePartner_OrderBy) {
    DailyExchangePartner_OrderBy["Id"] = "id";
    DailyExchangePartner_OrderBy["UsdVolume"] = "usdVolume";
    DailyExchangePartner_OrderBy["UsdFees"] = "usdFees";
    DailyExchangePartner_OrderBy["Trades"] = "trades";
    DailyExchangePartner_OrderBy["Partner"] = "partner";
    DailyExchangePartner_OrderBy["Timestamp"] = "timestamp";
})(DailyExchangePartner_OrderBy = exports.DailyExchangePartner_OrderBy || (exports.DailyExchangePartner_OrderBy = {}));
var DailyExchanger_OrderBy;
(function (DailyExchanger_OrderBy) {
    DailyExchanger_OrderBy["Id"] = "id";
})(DailyExchanger_OrderBy = exports.DailyExchanger_OrderBy || (exports.DailyExchanger_OrderBy = {}));
var DailyIssued_OrderBy;
(function (DailyIssued_OrderBy) {
    DailyIssued_OrderBy["Id"] = "id";
    DailyIssued_OrderBy["Value"] = "value";
    DailyIssued_OrderBy["TotalDebt"] = "totalDebt";
})(DailyIssued_OrderBy = exports.DailyIssued_OrderBy || (exports.DailyIssued_OrderBy = {}));
var DailySnxPrice_OrderBy;
(function (DailySnxPrice_OrderBy) {
    DailySnxPrice_OrderBy["Id"] = "id";
    DailySnxPrice_OrderBy["Count"] = "count";
    DailySnxPrice_OrderBy["AveragePrice"] = "averagePrice";
})(DailySnxPrice_OrderBy = exports.DailySnxPrice_OrderBy || (exports.DailySnxPrice_OrderBy = {}));
var DailyTotal_OrderBy;
(function (DailyTotal_OrderBy) {
    DailyTotal_OrderBy["Id"] = "id";
    DailyTotal_OrderBy["Timestamp"] = "timestamp";
    DailyTotal_OrderBy["Trades"] = "trades";
    DailyTotal_OrderBy["Exchangers"] = "exchangers";
    DailyTotal_OrderBy["ExchangeUsdTally"] = "exchangeUSDTally";
    DailyTotal_OrderBy["TotalFeesGeneratedInUsd"] = "totalFeesGeneratedInUSD";
})(DailyTotal_OrderBy = exports.DailyTotal_OrderBy || (exports.DailyTotal_OrderBy = {}));
var DebtSnapshot_OrderBy;
(function (DebtSnapshot_OrderBy) {
    DebtSnapshot_OrderBy["Id"] = "id";
    DebtSnapshot_OrderBy["Block"] = "block";
    DebtSnapshot_OrderBy["Timestamp"] = "timestamp";
    DebtSnapshot_OrderBy["Account"] = "account";
    DebtSnapshot_OrderBy["BalanceOf"] = "balanceOf";
    DebtSnapshot_OrderBy["Collateral"] = "collateral";
    DebtSnapshot_OrderBy["DebtBalanceOf"] = "debtBalanceOf";
})(DebtSnapshot_OrderBy = exports.DebtSnapshot_OrderBy || (exports.DebtSnapshot_OrderBy = {}));
var ExchangeEntryAppended_OrderBy;
(function (ExchangeEntryAppended_OrderBy) {
    ExchangeEntryAppended_OrderBy["Id"] = "id";
    ExchangeEntryAppended_OrderBy["Account"] = "account";
    ExchangeEntryAppended_OrderBy["Src"] = "src";
    ExchangeEntryAppended_OrderBy["Amount"] = "amount";
    ExchangeEntryAppended_OrderBy["Dest"] = "dest";
    ExchangeEntryAppended_OrderBy["AmountReceived"] = "amountReceived";
    ExchangeEntryAppended_OrderBy["ExchangeFeeRate"] = "exchangeFeeRate";
    ExchangeEntryAppended_OrderBy["RoundIdForSrc"] = "roundIdForSrc";
    ExchangeEntryAppended_OrderBy["RoundIdForDest"] = "roundIdForDest";
})(ExchangeEntryAppended_OrderBy = exports.ExchangeEntryAppended_OrderBy || (exports.ExchangeEntryAppended_OrderBy = {}));
var ExchangeEntrySettled_OrderBy;
(function (ExchangeEntrySettled_OrderBy) {
    ExchangeEntrySettled_OrderBy["Id"] = "id";
    ExchangeEntrySettled_OrderBy["From"] = "from";
    ExchangeEntrySettled_OrderBy["Src"] = "src";
    ExchangeEntrySettled_OrderBy["Amount"] = "amount";
    ExchangeEntrySettled_OrderBy["Dest"] = "dest";
    ExchangeEntrySettled_OrderBy["Reclaim"] = "reclaim";
    ExchangeEntrySettled_OrderBy["Rebate"] = "rebate";
    ExchangeEntrySettled_OrderBy["SrcRoundIdAtPeriodEnd"] = "srcRoundIdAtPeriodEnd";
    ExchangeEntrySettled_OrderBy["DestRoundIdAtPeriodEnd"] = "destRoundIdAtPeriodEnd";
    ExchangeEntrySettled_OrderBy["ExchangeTimestamp"] = "exchangeTimestamp";
})(ExchangeEntrySettled_OrderBy = exports.ExchangeEntrySettled_OrderBy || (exports.ExchangeEntrySettled_OrderBy = {}));
var ExchangeFee_OrderBy;
(function (ExchangeFee_OrderBy) {
    ExchangeFee_OrderBy["Id"] = "id";
    ExchangeFee_OrderBy["Fee"] = "fee";
})(ExchangeFee_OrderBy = exports.ExchangeFee_OrderBy || (exports.ExchangeFee_OrderBy = {}));
var ExchangePartner_OrderBy;
(function (ExchangePartner_OrderBy) {
    ExchangePartner_OrderBy["Id"] = "id";
    ExchangePartner_OrderBy["UsdVolume"] = "usdVolume";
    ExchangePartner_OrderBy["UsdFees"] = "usdFees";
    ExchangePartner_OrderBy["Trades"] = "trades";
})(ExchangePartner_OrderBy = exports.ExchangePartner_OrderBy || (exports.ExchangePartner_OrderBy = {}));
var ExchangeRebate_OrderBy;
(function (ExchangeRebate_OrderBy) {
    ExchangeRebate_OrderBy["Id"] = "id";
    ExchangeRebate_OrderBy["Account"] = "account";
    ExchangeRebate_OrderBy["CurrencyKey"] = "currencyKey";
    ExchangeRebate_OrderBy["Amount"] = "amount";
    ExchangeRebate_OrderBy["AmountInUsd"] = "amountInUSD";
    ExchangeRebate_OrderBy["Timestamp"] = "timestamp";
    ExchangeRebate_OrderBy["GasPrice"] = "gasPrice";
    ExchangeRebate_OrderBy["Block"] = "block";
})(ExchangeRebate_OrderBy = exports.ExchangeRebate_OrderBy || (exports.ExchangeRebate_OrderBy = {}));
var ExchangeReclaim_OrderBy;
(function (ExchangeReclaim_OrderBy) {
    ExchangeReclaim_OrderBy["Id"] = "id";
    ExchangeReclaim_OrderBy["Account"] = "account";
    ExchangeReclaim_OrderBy["CurrencyKey"] = "currencyKey";
    ExchangeReclaim_OrderBy["Amount"] = "amount";
    ExchangeReclaim_OrderBy["AmountInUsd"] = "amountInUSD";
    ExchangeReclaim_OrderBy["Timestamp"] = "timestamp";
    ExchangeReclaim_OrderBy["GasPrice"] = "gasPrice";
    ExchangeReclaim_OrderBy["Block"] = "block";
})(ExchangeReclaim_OrderBy = exports.ExchangeReclaim_OrderBy || (exports.ExchangeReclaim_OrderBy = {}));
var Exchange_OrderBy;
(function (Exchange_OrderBy) {
    Exchange_OrderBy["Id"] = "id";
    Exchange_OrderBy["From"] = "from";
    Exchange_OrderBy["FromCurrency"] = "fromCurrency";
    Exchange_OrderBy["FromAmount"] = "fromAmount";
    Exchange_OrderBy["ToCurrency"] = "toCurrency";
    Exchange_OrderBy["ToAmount"] = "toAmount";
    Exchange_OrderBy["Block"] = "block";
    Exchange_OrderBy["Timestamp"] = "timestamp";
    Exchange_OrderBy["Network"] = "network";
})(Exchange_OrderBy = exports.Exchange_OrderBy || (exports.Exchange_OrderBy = {}));
var Exchanger_OrderBy;
(function (Exchanger_OrderBy) {
    Exchanger_OrderBy["Id"] = "id";
})(Exchanger_OrderBy = exports.Exchanger_OrderBy || (exports.Exchanger_OrderBy = {}));
var FeesClaimed_OrderBy;
(function (FeesClaimed_OrderBy) {
    FeesClaimed_OrderBy["Id"] = "id";
    FeesClaimed_OrderBy["Account"] = "account";
    FeesClaimed_OrderBy["Value"] = "value";
    FeesClaimed_OrderBy["Rewards"] = "rewards";
    FeesClaimed_OrderBy["Block"] = "block";
    FeesClaimed_OrderBy["Timestamp"] = "timestamp";
})(FeesClaimed_OrderBy = exports.FeesClaimed_OrderBy || (exports.FeesClaimed_OrderBy = {}));
var FifteenMinuteExchanger_OrderBy;
(function (FifteenMinuteExchanger_OrderBy) {
    FifteenMinuteExchanger_OrderBy["Id"] = "id";
})(FifteenMinuteExchanger_OrderBy = exports.FifteenMinuteExchanger_OrderBy || (exports.FifteenMinuteExchanger_OrderBy = {}));
var FifteenMinuteSnxPrice_OrderBy;
(function (FifteenMinuteSnxPrice_OrderBy) {
    FifteenMinuteSnxPrice_OrderBy["Id"] = "id";
    FifteenMinuteSnxPrice_OrderBy["Count"] = "count";
    FifteenMinuteSnxPrice_OrderBy["AveragePrice"] = "averagePrice";
})(FifteenMinuteSnxPrice_OrderBy = exports.FifteenMinuteSnxPrice_OrderBy || (exports.FifteenMinuteSnxPrice_OrderBy = {}));
var FifteenMinuteTotal_OrderBy;
(function (FifteenMinuteTotal_OrderBy) {
    FifteenMinuteTotal_OrderBy["Id"] = "id";
    FifteenMinuteTotal_OrderBy["Timestamp"] = "timestamp";
    FifteenMinuteTotal_OrderBy["Trades"] = "trades";
    FifteenMinuteTotal_OrderBy["Exchangers"] = "exchangers";
    FifteenMinuteTotal_OrderBy["ExchangeUsdTally"] = "exchangeUSDTally";
    FifteenMinuteTotal_OrderBy["TotalFeesGeneratedInUsd"] = "totalFeesGeneratedInUSD";
})(FifteenMinuteTotal_OrderBy = exports.FifteenMinuteTotal_OrderBy || (exports.FifteenMinuteTotal_OrderBy = {}));
var InversePricingInfo_OrderBy;
(function (InversePricingInfo_OrderBy) {
    InversePricingInfo_OrderBy["EntryPoint"] = "entryPoint";
    InversePricingInfo_OrderBy["Frozen"] = "frozen";
    InversePricingInfo_OrderBy["Id"] = "id";
    InversePricingInfo_OrderBy["LowerLimit"] = "lowerLimit";
    InversePricingInfo_OrderBy["UpperLimit"] = "upperLimit";
})(InversePricingInfo_OrderBy = exports.InversePricingInfo_OrderBy || (exports.InversePricingInfo_OrderBy = {}));
var Issued_OrderBy;
(function (Issued_OrderBy) {
    Issued_OrderBy["Id"] = "id";
    Issued_OrderBy["Account"] = "account";
    Issued_OrderBy["Value"] = "value";
    Issued_OrderBy["Source"] = "source";
    Issued_OrderBy["Timestamp"] = "timestamp";
    Issued_OrderBy["GasPrice"] = "gasPrice";
    Issued_OrderBy["Block"] = "block";
})(Issued_OrderBy = exports.Issued_OrderBy || (exports.Issued_OrderBy = {}));
var Issuer_OrderBy;
(function (Issuer_OrderBy) {
    Issuer_OrderBy["Id"] = "id";
})(Issuer_OrderBy = exports.Issuer_OrderBy || (exports.Issuer_OrderBy = {}));
var LatestRate_OrderBy;
(function (LatestRate_OrderBy) {
    LatestRate_OrderBy["Aggregator"] = "aggregator";
    LatestRate_OrderBy["Id"] = "id";
    LatestRate_OrderBy["Rate"] = "rate";
})(LatestRate_OrderBy = exports.LatestRate_OrderBy || (exports.LatestRate_OrderBy = {}));
var LoanLiquidated_OrderBy;
(function (LoanLiquidated_OrderBy) {
    LoanLiquidated_OrderBy["Id"] = "id";
    LoanLiquidated_OrderBy["LoanId"] = "loanId";
    LoanLiquidated_OrderBy["Account"] = "account";
    LoanLiquidated_OrderBy["Liquidator"] = "liquidator";
    LoanLiquidated_OrderBy["Timestamp"] = "timestamp";
})(LoanLiquidated_OrderBy = exports.LoanLiquidated_OrderBy || (exports.LoanLiquidated_OrderBy = {}));
var LoanPartiallyLiquidated_OrderBy;
(function (LoanPartiallyLiquidated_OrderBy) {
    LoanPartiallyLiquidated_OrderBy["Id"] = "id";
    LoanPartiallyLiquidated_OrderBy["LoanId"] = "loanId";
    LoanPartiallyLiquidated_OrderBy["Account"] = "account";
    LoanPartiallyLiquidated_OrderBy["Liquidator"] = "liquidator";
    LoanPartiallyLiquidated_OrderBy["LiquidatedAmount"] = "liquidatedAmount";
    LoanPartiallyLiquidated_OrderBy["LiquidatedCollateral"] = "liquidatedCollateral";
    LoanPartiallyLiquidated_OrderBy["Timestamp"] = "timestamp";
})(LoanPartiallyLiquidated_OrderBy = exports.LoanPartiallyLiquidated_OrderBy || (exports.LoanPartiallyLiquidated_OrderBy = {}));
var LoanRepaid_OrderBy;
(function (LoanRepaid_OrderBy) {
    LoanRepaid_OrderBy["Id"] = "id";
    LoanRepaid_OrderBy["RepaidAmount"] = "repaidAmount";
    LoanRepaid_OrderBy["NewLoanAmount"] = "newLoanAmount";
    LoanRepaid_OrderBy["Account"] = "account";
    LoanRepaid_OrderBy["LoanId"] = "loanId";
    LoanRepaid_OrderBy["Timestamp"] = "timestamp";
})(LoanRepaid_OrderBy = exports.LoanRepaid_OrderBy || (exports.LoanRepaid_OrderBy = {}));
var Loan_OrderBy;
(function (Loan_OrderBy) {
    Loan_OrderBy["Id"] = "id";
    Loan_OrderBy["TxHash"] = "txHash";
    Loan_OrderBy["Account"] = "account";
    Loan_OrderBy["CollateralMinted"] = "collateralMinted";
    Loan_OrderBy["Amount"] = "amount";
    Loan_OrderBy["IsOpen"] = "isOpen";
    Loan_OrderBy["CreatedAt"] = "createdAt";
    Loan_OrderBy["ClosedAt"] = "closedAt";
    Loan_OrderBy["HasPartialLiquidations"] = "hasPartialLiquidations";
})(Loan_OrderBy = exports.Loan_OrderBy || (exports.Loan_OrderBy = {}));
var OrderDirection;
(function (OrderDirection) {
    OrderDirection["Asc"] = "asc";
    OrderDirection["Desc"] = "desc";
})(OrderDirection = exports.OrderDirection || (exports.OrderDirection = {}));
var PostArchernarExchanger_OrderBy;
(function (PostArchernarExchanger_OrderBy) {
    PostArchernarExchanger_OrderBy["Id"] = "id";
})(PostArchernarExchanger_OrderBy = exports.PostArchernarExchanger_OrderBy || (exports.PostArchernarExchanger_OrderBy = {}));
var PostArchernarTotal_OrderBy;
(function (PostArchernarTotal_OrderBy) {
    PostArchernarTotal_OrderBy["Id"] = "id";
    PostArchernarTotal_OrderBy["Trades"] = "trades";
    PostArchernarTotal_OrderBy["Exchangers"] = "exchangers";
    PostArchernarTotal_OrderBy["ExchangeUsdTally"] = "exchangeUSDTally";
    PostArchernarTotal_OrderBy["TotalFeesGeneratedInUsd"] = "totalFeesGeneratedInUSD";
})(PostArchernarTotal_OrderBy = exports.PostArchernarTotal_OrderBy || (exports.PostArchernarTotal_OrderBy = {}));
var RateUpdate_OrderBy;
(function (RateUpdate_OrderBy) {
    RateUpdate_OrderBy["Id"] = "id";
    RateUpdate_OrderBy["CurrencyKey"] = "currencyKey";
    RateUpdate_OrderBy["Synth"] = "synth";
    RateUpdate_OrderBy["Rate"] = "rate";
    RateUpdate_OrderBy["Block"] = "block";
    RateUpdate_OrderBy["Timestamp"] = "timestamp";
})(RateUpdate_OrderBy = exports.RateUpdate_OrderBy || (exports.RateUpdate_OrderBy = {}));
var RewardEscrowHolder_OrderBy;
(function (RewardEscrowHolder_OrderBy) {
    RewardEscrowHolder_OrderBy["Id"] = "id";
    RewardEscrowHolder_OrderBy["BalanceOf"] = "balanceOf";
    RewardEscrowHolder_OrderBy["VestedBalanceOf"] = "vestedBalanceOf";
})(RewardEscrowHolder_OrderBy = exports.RewardEscrowHolder_OrderBy || (exports.RewardEscrowHolder_OrderBy = {}));
var SnxHolder_OrderBy;
(function (SnxHolder_OrderBy) {
    SnxHolder_OrderBy["Id"] = "id";
    SnxHolder_OrderBy["Block"] = "block";
    SnxHolder_OrderBy["Timestamp"] = "timestamp";
    SnxHolder_OrderBy["BalanceOf"] = "balanceOf";
    SnxHolder_OrderBy["Collateral"] = "collateral";
    SnxHolder_OrderBy["Transferable"] = "transferable";
    SnxHolder_OrderBy["InitialDebtOwnership"] = "initialDebtOwnership";
    SnxHolder_OrderBy["DebtEntryAtIndex"] = "debtEntryAtIndex";
    SnxHolder_OrderBy["Claims"] = "claims";
    SnxHolder_OrderBy["Mints"] = "mints";
})(SnxHolder_OrderBy = exports.SnxHolder_OrderBy || (exports.SnxHolder_OrderBy = {}));
var ShortCollateralChange_OrderBy;
(function (ShortCollateralChange_OrderBy) {
    ShortCollateralChange_OrderBy["Id"] = "id";
    ShortCollateralChange_OrderBy["IsDeposit"] = "isDeposit";
    ShortCollateralChange_OrderBy["Amount"] = "amount";
    ShortCollateralChange_OrderBy["CollateralAfter"] = "collateralAfter";
    ShortCollateralChange_OrderBy["Short"] = "short";
    ShortCollateralChange_OrderBy["Timestamp"] = "timestamp";
    ShortCollateralChange_OrderBy["BlockNumber"] = "blockNumber";
})(ShortCollateralChange_OrderBy = exports.ShortCollateralChange_OrderBy || (exports.ShortCollateralChange_OrderBy = {}));
var ShortContractUpdate_OrderBy;
(function (ShortContractUpdate_OrderBy) {
    ShortContractUpdate_OrderBy["Id"] = "id";
    ShortContractUpdate_OrderBy["Field"] = "field";
    ShortContractUpdate_OrderBy["Value"] = "value";
    ShortContractUpdate_OrderBy["ContractData"] = "contractData";
    ShortContractUpdate_OrderBy["Timestamp"] = "timestamp";
    ShortContractUpdate_OrderBy["BlockNumber"] = "blockNumber";
})(ShortContractUpdate_OrderBy = exports.ShortContractUpdate_OrderBy || (exports.ShortContractUpdate_OrderBy = {}));
var ShortContract_OrderBy;
(function (ShortContract_OrderBy) {
    ShortContract_OrderBy["Id"] = "id";
    ShortContract_OrderBy["Shorts"] = "shorts";
    ShortContract_OrderBy["ContractUpdates"] = "contractUpdates";
    ShortContract_OrderBy["MinCratio"] = "minCratio";
    ShortContract_OrderBy["MinCollateral"] = "minCollateral";
    ShortContract_OrderBy["IssueFeeRate"] = "issueFeeRate";
    ShortContract_OrderBy["MaxLoansPerAccount"] = "maxLoansPerAccount";
    ShortContract_OrderBy["InteractionDelay"] = "interactionDelay";
    ShortContract_OrderBy["Manager"] = "manager";
    ShortContract_OrderBy["CanOpenLoans"] = "canOpenLoans";
})(ShortContract_OrderBy = exports.ShortContract_OrderBy || (exports.ShortContract_OrderBy = {}));
var ShortLiquidation_OrderBy;
(function (ShortLiquidation_OrderBy) {
    ShortLiquidation_OrderBy["Id"] = "id";
    ShortLiquidation_OrderBy["Liquidator"] = "liquidator";
    ShortLiquidation_OrderBy["IsClosed"] = "isClosed";
    ShortLiquidation_OrderBy["LiquidatedAmount"] = "liquidatedAmount";
    ShortLiquidation_OrderBy["LiquidatedCollateral"] = "liquidatedCollateral";
    ShortLiquidation_OrderBy["Short"] = "short";
    ShortLiquidation_OrderBy["Timestamp"] = "timestamp";
    ShortLiquidation_OrderBy["BlockNumber"] = "blockNumber";
})(ShortLiquidation_OrderBy = exports.ShortLiquidation_OrderBy || (exports.ShortLiquidation_OrderBy = {}));
var ShortLoanChange_OrderBy;
(function (ShortLoanChange_OrderBy) {
    ShortLoanChange_OrderBy["Id"] = "id";
    ShortLoanChange_OrderBy["IsRepayment"] = "isRepayment";
    ShortLoanChange_OrderBy["Amount"] = "amount";
    ShortLoanChange_OrderBy["LoanAfter"] = "loanAfter";
    ShortLoanChange_OrderBy["Short"] = "short";
    ShortLoanChange_OrderBy["Timestamp"] = "timestamp";
    ShortLoanChange_OrderBy["BlockNumber"] = "blockNumber";
})(ShortLoanChange_OrderBy = exports.ShortLoanChange_OrderBy || (exports.ShortLoanChange_OrderBy = {}));
var Short_OrderBy;
(function (Short_OrderBy) {
    Short_OrderBy["Id"] = "id";
    Short_OrderBy["ContractData"] = "contractData";
    Short_OrderBy["TxHash"] = "txHash";
    Short_OrderBy["Account"] = "account";
    Short_OrderBy["CollateralLocked"] = "collateralLocked";
    Short_OrderBy["CollateralLockedAmount"] = "collateralLockedAmount";
    Short_OrderBy["SynthBorrowed"] = "synthBorrowed";
    Short_OrderBy["SynthBorrowedAmount"] = "synthBorrowedAmount";
    Short_OrderBy["AccruedInterestLastUpdateTimestamp"] = "accruedInterestLastUpdateTimestamp";
    Short_OrderBy["IsOpen"] = "isOpen";
    Short_OrderBy["CreatedAtBlock"] = "createdAtBlock";
    Short_OrderBy["CreatedAt"] = "createdAt";
    Short_OrderBy["ClosedAt"] = "closedAt";
    Short_OrderBy["Liquidations"] = "liquidations";
    Short_OrderBy["CollateralChanges"] = "collateralChanges";
    Short_OrderBy["LoanChanges"] = "loanChanges";
})(Short_OrderBy = exports.Short_OrderBy || (exports.Short_OrderBy = {}));
var SynthExchange_OrderBy;
(function (SynthExchange_OrderBy) {
    SynthExchange_OrderBy["Id"] = "id";
    SynthExchange_OrderBy["Account"] = "account";
    SynthExchange_OrderBy["From"] = "from";
    SynthExchange_OrderBy["FromCurrencyKey"] = "fromCurrencyKey";
    SynthExchange_OrderBy["FromSynth"] = "fromSynth";
    SynthExchange_OrderBy["FromAmount"] = "fromAmount";
    SynthExchange_OrderBy["FromAmountInUsd"] = "fromAmountInUSD";
    SynthExchange_OrderBy["ToCurrencyKey"] = "toCurrencyKey";
    SynthExchange_OrderBy["ToSynth"] = "toSynth";
    SynthExchange_OrderBy["ToAmount"] = "toAmount";
    SynthExchange_OrderBy["ToAmountInUsd"] = "toAmountInUSD";
    SynthExchange_OrderBy["FeesInUsd"] = "feesInUSD";
    SynthExchange_OrderBy["ToAddress"] = "toAddress";
    SynthExchange_OrderBy["Timestamp"] = "timestamp";
    SynthExchange_OrderBy["GasPrice"] = "gasPrice";
    SynthExchange_OrderBy["Block"] = "block";
})(SynthExchange_OrderBy = exports.SynthExchange_OrderBy || (exports.SynthExchange_OrderBy = {}));
var SynthHolder_OrderBy;
(function (SynthHolder_OrderBy) {
    SynthHolder_OrderBy["Id"] = "id";
    SynthHolder_OrderBy["Synth"] = "synth";
    SynthHolder_OrderBy["BalanceOf"] = "balanceOf";
})(SynthHolder_OrderBy = exports.SynthHolder_OrderBy || (exports.SynthHolder_OrderBy = {}));
var Synthetix_OrderBy;
(function (Synthetix_OrderBy) {
    Synthetix_OrderBy["Id"] = "id";
    Synthetix_OrderBy["Issuers"] = "issuers";
    Synthetix_OrderBy["SnxHolders"] = "snxHolders";
})(Synthetix_OrderBy = exports.Synthetix_OrderBy || (exports.Synthetix_OrderBy = {}));
var TemporaryExchangePartnerTracker_OrderBy;
(function (TemporaryExchangePartnerTracker_OrderBy) {
    TemporaryExchangePartnerTracker_OrderBy["Id"] = "id";
    TemporaryExchangePartnerTracker_OrderBy["UsdVolume"] = "usdVolume";
    TemporaryExchangePartnerTracker_OrderBy["UsdFees"] = "usdFees";
    TemporaryExchangePartnerTracker_OrderBy["Partner"] = "partner";
})(TemporaryExchangePartnerTracker_OrderBy = exports.TemporaryExchangePartnerTracker_OrderBy || (exports.TemporaryExchangePartnerTracker_OrderBy = {}));
var TotalActiveStaker_OrderBy;
(function (TotalActiveStaker_OrderBy) {
    TotalActiveStaker_OrderBy["Id"] = "id";
    TotalActiveStaker_OrderBy["Count"] = "count";
})(TotalActiveStaker_OrderBy = exports.TotalActiveStaker_OrderBy || (exports.TotalActiveStaker_OrderBy = {}));
var TotalDailyActiveStaker_OrderBy;
(function (TotalDailyActiveStaker_OrderBy) {
    TotalDailyActiveStaker_OrderBy["Id"] = "id";
    TotalDailyActiveStaker_OrderBy["Timestamp"] = "timestamp";
    TotalDailyActiveStaker_OrderBy["Count"] = "count";
})(TotalDailyActiveStaker_OrderBy = exports.TotalDailyActiveStaker_OrderBy || (exports.TotalDailyActiveStaker_OrderBy = {}));
var Total_OrderBy;
(function (Total_OrderBy) {
    Total_OrderBy["Id"] = "id";
    Total_OrderBy["Trades"] = "trades";
    Total_OrderBy["Exchangers"] = "exchangers";
    Total_OrderBy["ExchangeUsdTally"] = "exchangeUSDTally";
    Total_OrderBy["TotalFeesGeneratedInUsd"] = "totalFeesGeneratedInUSD";
})(Total_OrderBy = exports.Total_OrderBy || (exports.Total_OrderBy = {}));
var UserAction_OrderBy;
(function (UserAction_OrderBy) {
    UserAction_OrderBy["Id"] = "id";
    UserAction_OrderBy["User"] = "user";
    UserAction_OrderBy["Amount"] = "amount";
    UserAction_OrderBy["Type"] = "type";
    UserAction_OrderBy["DepositIndex"] = "depositIndex";
    UserAction_OrderBy["Minimum"] = "minimum";
    UserAction_OrderBy["Block"] = "block";
    UserAction_OrderBy["Timestamp"] = "timestamp";
    UserAction_OrderBy["Network"] = "network";
})(UserAction_OrderBy = exports.UserAction_OrderBy || (exports.UserAction_OrderBy = {}));
var _SubgraphErrorPolicy_;
(function (_SubgraphErrorPolicy_) {
    /** Data will be returned even if the subgraph has indexing errors */
    _SubgraphErrorPolicy_["Allow"] = "allow";
    /** If the subgraph has indexing errors, data will be omitted. The default. */
    _SubgraphErrorPolicy_["Deny"] = "deny";
})(_SubgraphErrorPolicy_ = exports._SubgraphErrorPolicy_ || (exports._SubgraphErrorPolicy_ = {}));
