"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseDebtSnapshot = void 0;
const utils_1 = require("../../src/utils");
const parseDebtSnapshot = ({ account, block, id, timestamp, collateral, balanceOf, debtBalanceOf, }) => ({
    account,
    block: Number(block),
    id,
    timestamp: (0, utils_1.formatTimestamp)(timestamp),
    collateral: Number(collateral),
    debtBalanceOf: Number(debtBalanceOf),
    balanceOf: Number(balanceOf),
});
exports.parseDebtSnapshot = parseDebtSnapshot;
