"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseExchangeEntrySettleds = void 0;
const utils_1 = require("../../src/utils");
const parseExchangeEntrySettleds = ({ id, from, src, amount, dest, reclaim, rebate, srcRoundIdAtPeriodEnd, destRoundIdAtPeriodEnd, exchangeTimestamp, }) => ({
    id,
    from,
    src,
    amount: Number(amount),
    dest,
    reclaim: Number(reclaim),
    rebate: Number(rebate),
    srcRoundIdAtPeriodEnd,
    destRoundIdAtPeriodEnd,
    exchangeTimestamp: (0, utils_1.formatTimestamp)(exchangeTimestamp),
});
exports.parseExchangeEntrySettleds = parseExchangeEntrySettleds;
