"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSynthHolders = exports.createSynthHoldersQuery = exports.parseAccountsFlaggedForLiquidation = exports.createAccountsFlaggedForLiquidationQuery = exports.getExchangeTotalsQueryResponseAttr = exports.parseExchangeTotals = exports.createExchangeTotalsQuery = exports.parseDailyTotalActiveStakers = exports.createDailyTotalActiveStakersQuery = exports.createExchangeEntrySettledsQuery = exports.parseExchangeEntrySettleds = exports.createShortsQuery = exports.parseShort = exports.createSnxHolderQuery = exports.parseSnxHolder = exports.createDebtSnapshotQuery = exports.parseDebtSnapshot = exports.getSNXPricesQueryResponseAttr = exports.createSnxPriceQuery = exports.parseSnxPrice = exports.parseFeesClaimed = exports.createFeesClaimedQuery = exports.parseRates = exports.createRateUpdatesQuery = exports.parseDailyBurned = exports.createDailyBurnedQuery = exports.parseDailyIssued = exports.createDailyIssuedQuery = exports.parseBurned = exports.createBurnedQuery = exports.parseIssued = exports.createIssuedQuery = exports.parseSynthetix = exports.createSynthetixQuery = exports.parseSynthExchanges = exports.createSynthExchangesQuery = void 0;
var synthExchanges_1 = require("./synthExchanges");
Object.defineProperty(exports, "createSynthExchangesQuery", { enumerable: true, get: function () { return synthExchanges_1.createSynthExchangesQuery; } });
Object.defineProperty(exports, "parseSynthExchanges", { enumerable: true, get: function () { return synthExchanges_1.parseSynthExchanges; } });
var synthetix_1 = require("./synthetix");
Object.defineProperty(exports, "createSynthetixQuery", { enumerable: true, get: function () { return synthetix_1.createSynthetixQuery; } });
Object.defineProperty(exports, "parseSynthetix", { enumerable: true, get: function () { return synthetix_1.parseSynthetix; } });
var issued_1 = require("./issued");
Object.defineProperty(exports, "createIssuedQuery", { enumerable: true, get: function () { return issued_1.createIssuedQuery; } });
Object.defineProperty(exports, "parseIssued", { enumerable: true, get: function () { return issued_1.parseIssued; } });
var burned_1 = require("./burned");
Object.defineProperty(exports, "createBurnedQuery", { enumerable: true, get: function () { return burned_1.createBurnedQuery; } });
Object.defineProperty(exports, "parseBurned", { enumerable: true, get: function () { return burned_1.parseBurned; } });
var dailyIssued_1 = require("./dailyIssued");
Object.defineProperty(exports, "createDailyIssuedQuery", { enumerable: true, get: function () { return dailyIssued_1.createDailyIssuedQuery; } });
Object.defineProperty(exports, "parseDailyIssued", { enumerable: true, get: function () { return dailyIssued_1.parseDailyIssued; } });
var dailyBurned_1 = require("./dailyBurned");
Object.defineProperty(exports, "createDailyBurnedQuery", { enumerable: true, get: function () { return dailyBurned_1.createDailyBurnedQuery; } });
Object.defineProperty(exports, "parseDailyBurned", { enumerable: true, get: function () { return dailyBurned_1.parseDailyBurned; } });
var rateUpdates_1 = require("./rateUpdates");
Object.defineProperty(exports, "createRateUpdatesQuery", { enumerable: true, get: function () { return rateUpdates_1.createRateUpdatesQuery; } });
Object.defineProperty(exports, "parseRates", { enumerable: true, get: function () { return rateUpdates_1.parseRates; } });
var feesClaimed_1 = require("./feesClaimed");
Object.defineProperty(exports, "createFeesClaimedQuery", { enumerable: true, get: function () { return feesClaimed_1.createFeesClaimedQuery; } });
Object.defineProperty(exports, "parseFeesClaimed", { enumerable: true, get: function () { return feesClaimed_1.parseFeesClaimed; } });
var snxPrice_1 = require("./snxPrice");
Object.defineProperty(exports, "parseSnxPrice", { enumerable: true, get: function () { return snxPrice_1.parseSnxPrice; } });
Object.defineProperty(exports, "createSnxPriceQuery", { enumerable: true, get: function () { return snxPrice_1.createSnxPriceQuery; } });
Object.defineProperty(exports, "getSNXPricesQueryResponseAttr", { enumerable: true, get: function () { return snxPrice_1.getSNXPricesQueryResponseAttr; } });
var debtSnapshot_1 = require("./debtSnapshot");
Object.defineProperty(exports, "parseDebtSnapshot", { enumerable: true, get: function () { return debtSnapshot_1.parseDebtSnapshot; } });
Object.defineProperty(exports, "createDebtSnapshotQuery", { enumerable: true, get: function () { return debtSnapshot_1.createDebtSnapshotQuery; } });
var snxHolders_1 = require("./snxHolders");
Object.defineProperty(exports, "parseSnxHolder", { enumerable: true, get: function () { return snxHolders_1.parseSnxHolder; } });
Object.defineProperty(exports, "createSnxHolderQuery", { enumerable: true, get: function () { return snxHolders_1.createSnxHolderQuery; } });
var shorts_1 = require("./shorts");
Object.defineProperty(exports, "parseShort", { enumerable: true, get: function () { return shorts_1.parseShort; } });
Object.defineProperty(exports, "createShortsQuery", { enumerable: true, get: function () { return shorts_1.createShortsQuery; } });
var exchangeEntrySettleds_1 = require("./exchangeEntrySettleds");
Object.defineProperty(exports, "parseExchangeEntrySettleds", { enumerable: true, get: function () { return exchangeEntrySettleds_1.parseExchangeEntrySettleds; } });
Object.defineProperty(exports, "createExchangeEntrySettledsQuery", { enumerable: true, get: function () { return exchangeEntrySettleds_1.createExchangeEntrySettledsQuery; } });
var dailyTotalActiveStakers_1 = require("./dailyTotalActiveStakers");
Object.defineProperty(exports, "createDailyTotalActiveStakersQuery", { enumerable: true, get: function () { return dailyTotalActiveStakers_1.createDailyTotalActiveStakersQuery; } });
Object.defineProperty(exports, "parseDailyTotalActiveStakers", { enumerable: true, get: function () { return dailyTotalActiveStakers_1.parseDailyTotalActiveStakers; } });
var exchangeTotals_1 = require("./exchangeTotals");
Object.defineProperty(exports, "createExchangeTotalsQuery", { enumerable: true, get: function () { return exchangeTotals_1.createExchangeTotalsQuery; } });
Object.defineProperty(exports, "parseExchangeTotals", { enumerable: true, get: function () { return exchangeTotals_1.parseExchangeTotals; } });
Object.defineProperty(exports, "getExchangeTotalsQueryResponseAttr", { enumerable: true, get: function () { return exchangeTotals_1.getExchangeTotalsQueryResponseAttr; } });
var accountsFlaggedForLiquidation_1 = require("./accountsFlaggedForLiquidation");
Object.defineProperty(exports, "createAccountsFlaggedForLiquidationQuery", { enumerable: true, get: function () { return accountsFlaggedForLiquidation_1.createAccountsFlaggedForLiquidationQuery; } });
Object.defineProperty(exports, "parseAccountsFlaggedForLiquidation", { enumerable: true, get: function () { return accountsFlaggedForLiquidation_1.parseAccountsFlaggedForLiquidation; } });
var synthHolders_1 = require("./synthHolders");
Object.defineProperty(exports, "createSynthHoldersQuery", { enumerable: true, get: function () { return synthHolders_1.createSynthHoldersQuery; } });
Object.defineProperty(exports, "parseSynthHolders", { enumerable: true, get: function () { return synthHolders_1.parseSynthHolders; } });
