import { ShortCollateralChange, ShortLiquidation, ShortLoanChange } from '../../generated/graphql';
import { Short } from '../../src/types';
export declare const parseShort: ({ id, account, txHash, collateralLocked, collateralLockedAmount, synthBorrowed, synthBorrowedAmount, createdAtBlock, createdAt, closedAt, isOpen, collateralChanges, liquidations, loanChanges, accruedInterestLastUpdateTimestamp, }: Short) => Short;
export declare const parseShortLiquidations: ({ id, isClosed, liquidatedAmount, liquidatedCollateral, liquidator, timestamp, blockNumber, }: Omit<ShortLiquidation, 'short'>) => Omit<ShortLiquidation, 'short'>;
export declare const parseShortCollateralChanges: ({ amount, collateralAfter, id, isDeposit, timestamp, blockNumber, }: Omit<ShortCollateralChange, 'short'>) => Omit<ShortCollateralChange, 'short'>;
export declare const parseShortLoanChanges: ({ amount, id, isRepayment, loanAfter, timestamp, blockNumber, }: Omit<ShortLoanChange, 'short'>) => Omit<ShortLoanChange, 'short'>;
//# sourceMappingURL=parse.d.ts.map