import BigNumber from 'bignumber.js';
export declare const formatParams: (obj?: {
    [key: string]: string | number | boolean | undefined;
} | undefined) => {
    [key: string]: string | number | boolean;
};
export declare const createGQLBlockNumberString: (blockNumber: number | null) => string;
export declare const createGQLWhereString: (data: Array<[string, string | null]>) => string;
export declare const formatTimestamp: (ts: number | string) => number;
export declare const hexToAscii: (str: string) => string;
export declare const getHashFromId: (id: string) => string;
export declare const getResponseName: (query: string) => string;
export declare const getSortedField: (query: string) => string;
export declare const requestHelper: ({ endpoint, variables, prevOutput, field, queryMethod, numTries, }: {
    endpoint: string;
    variables?: any;
    prevOutput?: any[] | undefined;
    field?: string | undefined;
    queryMethod: (variables: any) => string;
    numTries?: BigNumber | undefined;
}) => Promise<any>;
export declare const formatEther: (n: any) => string;
//# sourceMappingURL=utils.d.ts.map