"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseAccountsFlaggedForLiquidation = void 0;
const utils_1 = require("../../src/utils");
const parseAccountsFlaggedForLiquidation = ({ deadline, account, collateralRatio, liquidatableNonEscrowSNX, collateral, }) => ({
    deadline: (0, utils_1.formatTimestamp)(deadline),
    account,
    collateral: Number((0, utils_1.formatEther)(collateral)),
    collateralRatio: Number((0, utils_1.formatEther)(collateralRatio)),
    liquidatableNonEscrowSNX: Number((0, utils_1.formatEther)(liquidatableNonEscrowSNX)),
});
exports.parseAccountsFlaggedForLiquidation = parseAccountsFlaggedForLiquidation;
