"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseRates = void 0;
const utils_1 = require("../../src/utils");
const parseRates = (rate) => {
    const { block, currencyKey, id, rate: rateValue, synth, timestamp } = rate;
    return {
        block: Number(block),
        currencyKey,
        id,
        rate: Number(rateValue),
        synth,
        timestamp: (0, utils_1.formatTimestamp)(timestamp),
    };
};
exports.parseRates = parseRates;
