"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSnxHolder = void 0;
const utils_1 = require("../../src/utils");
const parseSnxHolder = ({ id, block, timestamp, balanceOf, collateral, transferable, initialDebtOwnership, debtEntryAtIndex, claims, mints, }) => ({
    block: Number(block),
    id,
    collateral: Number(collateral),
    balanceOf: Number(balanceOf),
    transferable: Number(transferable),
    initialDebtOwnership: Number(initialDebtOwnership),
    debtEntryAtIndex: debtEntryAtIndex !== null && debtEntryAtIndex !== void 0 ? debtEntryAtIndex : null,
    mints: mints != null ? Number(mints) : null,
    claims: claims != null ? Number(claims) : null,
    timestamp: (0, utils_1.formatTimestamp)(timestamp),
});
exports.parseSnxHolder = parseSnxHolder;
