"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSynthetixQuery = void 0;
const graphql_request_1 = require("graphql-request");
const utils_1 = require("../../src/utils");
const createSynthetixQuery = (params) => {
    var _a;
    return (0, graphql_request_1.gql) `
	query synthetixes {
		synthetixes(
			first: 1${(0, utils_1.createGQLBlockNumberString)((_a = params === null || params === void 0 ? void 0 : params.blockNumber) !== null && _a !== void 0 ? _a : null)}
		) {
			id
			issuers
			snxHolders
		}
	}
`;
};
exports.createSynthetixQuery = createSynthetixQuery;
